Page Summary
-
This method retrieves a blog by its ID.
-
Authorization is required for private blogs but not for public ones.
-
The request uses an HTTP GET method and requires the
blogIdparameter. -
Optionally, you can specify
maxPoststo retrieve a maximum number of posts along with the blog. -
A successful response returns a Blogs resource in the response body.
Retrieves a blog by its ID. Try it now or see an example.
Authorization is required if the blog is private. If the blog is public, then this method can be called without authorization.
Request
HTTP request
GET https://www.googleapis.com/blogger/v3/blogs/blogId
Parameters
| Parameter name | Value | Description |
|---|---|---|
| Required parameters | ||
blogId |
string |
The ID of the blog to get. |
| Optional parameters | ||
maxPosts |
unsigned integer |
Maximum number of posts to retrieve along with the blog. When this parameter is not specified, no posts will be returned as part of the blog resource. |
Request body
Do not supply a request body with this method.
Response
If successful, this method returns a Blogs resource in the response body.
Examples
Note: The code examples available for this method do not represent all supported programming languages (see the client libraries page for a list of supported languages).
Java
Uses the Java client library
// The BlogId for the http://code.blogger.com/ blog.
String CODE_BLOG_ID = "3213900";
// Configure the Java API Client for Installed Native AppHttpTr
ansport HTTP_TRANSPORT = new NetHttpTransport();JsonFa
ctory JSON_FACTORY = new JacksonFactory(); class="devsite-syntax-c1">// Configure for the Installed App OAuth2 flow.Credential c
redential = OAuth2Native.authorize(HTTP_TRANSPORT, JSON_FACTOR
Y, new LocalServerReceiver(), Arrays.asLi
st(BloggerScopes.BLOGGER));span> <span class
="devsite-syntax-c1">// Construct the Blogger API access facade object.Blogger blogger =
Blogger.builder(HTTP_TRANSPORT, JSON_FACTORY) .setApplicationNa
me("Blogger-BlogGet-Snippet/1.0") .setHttpRequestIn
itializer(credential).build(); // This is the request action that you can configure before sending the request.Get blogGetAction = blog
ger.blogs().get(CODE_BLOG_ID); // Restrict the result content to just the data we need.blogGetAction.setFields("description,name,posts/totalItems,updated");// This step sends the r
equest to the server.Blog blog = blogGetActio
n.execute(); // Now we can navigate the response.System.out.println("Name
: "+blog.getName());System.out.println("Desc
ription: "+blog.getDescription());System.out.println("Post
Count: "+blog.getPosts().getTotalItems());System.out.println("Last
Updated: "+blog.getUpdated());an>
Try it!
Use the APIs Explorer below to call this method on live data and see the response.